package com.dcsoft.system.kq.service;

import com.dcsoft.system.kq.domain.KqAdjust;
import com.dcsoft.system.kq.domain.KqGather;

import java.text.ParseException;
import java.util.List;

/**
 * 考勤汇总Service接口
 *
 * @author dcsoft
 * @date 2023-06-12
 */
public interface IKqGatherService
{
    /**
     * 查询考勤汇总
     *
     * @param id 考勤汇总主键
     * @return 考勤汇总
     */
    public KqGather selectKqGatherById(Long id);

    /**
     * 查询考勤汇总列表
     *
     * @param kqGather 考勤汇总
     * @return 考勤汇总集合
     */
    public List<KqGather> selectKqGatherList(KqGather kqGather);

    /**
     * 新增考勤汇总
     *
     * @param kqGather 考勤汇总
     * @return 结果
     */
    public int insertKqGather(KqGather kqGather);

    /**
     * 修改考勤汇总
     *
     * @param kqGather 考勤汇总
     * @return 结果
     */
    public int updateKqGather(KqGather kqGather);

    /**
     * 批量删除考勤汇总
     *
     * @param ids 需要删除的考勤汇总主键集合
     * @return 结果
     */
    public int deleteKqGatherByIds(Long[] ids);

    /**
     * 删除考勤汇总信息
     *
     * @param id 考勤汇总主键
     * @return 结果
     */
    public int deleteKqGatherById(Long id);

    public int deleteKqGatherByKqGather(KqGather kqGather);

    String importkqGather(List<KqGather> userList, boolean updateSupport, String operName);

    /**
     *
     * 新增请假日汇总数据
     */
    void saveAskForLeave() throws ParseException;

    /**
     * 补卡信息
     */
    void saveCardReplacement(KqAdjust kqAdjust);
}
